FLAMEROBIN(1)

NAME
flamerobin - management and data manipulation tool for the Firebird DBMS

SYNOPSIS
flamerobin [-h directory | --home=directory] [-uh directory | --user-home=directory]

DESCRIPTION
flamerobin is a graphical frontend to the Firebird DBMS. It is small and simple, yet offers all the basic features needed to create and manipulate databases, execute queries and perform administrative tasks.

This manual page only documents the run-time options and environment of flamerobin. Information about using the GUI may be obtained by selecting the Help -> Manual menu item once the application is running.

flamerobin uses two directory hierarchies for its normal operation. The data directory contains the templates for property pages, the default configuration and the on-line documentation grouped into three sub-directories as follows:

conf-defs
    default configuration
docs
    on-line documentation
html-templates
    templates for property pages

The user home directory contains the per-user configuration, comprising three entries:

fr_databases.conf
    this file stores the user's registered databases.
fr_settings.conf
    this file stores the user's preferences related to the flamerobin GUI.
history
    this directory holds the SQL statement history, one item per file.

flamerobin accepts several options, which are described as follows:

-h directory
--home=directory
    Use directory as the data directory (but see ENVIRONMENT below).

-uh directory
--user-home=directory
    Use directory as the user home directory (but see ENVIRONMENT and CAVEATS below).

ENVIRONMENT

FR_HOME
    Specifies an alternate location for the flamerobin data directory.

    If both -h (or --home) and this environment variable are set, the command line argument takes precedence.

FR_USER_HOME
    Specifies an alternate location for the flamerobin user home directory.

    If both -uh (or --user-home) and this environment variable are set, the command line argument takes precedence.

FILES

/usr/share/flamerobin
    The default flamerobin data directory.

~/.flamerobin
    The default flamerobin user home directory.

AUTHORS
flamerobin was written by The FlameRobin Development Team <http://www.flamerobin.org/>.

CAVEATS
flamerobin only writes files under the user home directory. If flamerobin is configured so that this directory and the files contained therein are shared among several users or concurrent instances of flamerobin, no precaution is taken to avoid overwriting settings created by other users or other application instances.

NOTES
The specification of the data directory and the user home directory (regardless of whether they occur in the environment or on the command line) may be the literal string “$app” which translates to a common data folder determined at compilation time, or “$user” which translates to the user local data directory. These options currently have effect only on Windows platform.